For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a network

get
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required

ID of the network.

Responses
200

Network details.

application/json

Stores the configuration required to set up a WireGuard network.

acl_default_allowbooleanRequired
acl_enabledbooleanRequired
addressstring[]Required
allow_all_groupsbooleanRequired
allowed_ipsstring[]Required
allowed_ips_from_aclbooleanRequired
connected_atstring · nullableOptional
dnsstring · nullableOptional
endpointstringRequired
fwmarkinteger · int64Required
idinteger · int64Required
keepalive_intervalinteger · int32Required
location_mfa_modestring · enumRequiredPossible values:
mtuinteger · int32Required
namestringRequired
peer_disconnect_thresholdinteger · int32Required
portinteger · int32Required
pubkeystringRequired
service_location_modestring · enumRequiredPossible values:
allowed_groupsstring[]Required
has_devicesbooleanRequired
posture_checksinteger · int64[]Required
get/api/v1/network/{network_id}
GET /api/v1/network/{network_id} HTTP/1.1
Accept: */*
{
  "acl_default_allow": true,
  "acl_enabled": true,
  "address": [
    "text"
  ],
  "allow_all_groups": true,
  "allowed_ips": [
    "text"
  ],
  "allowed_ips_from_acl": true,
  "connected_at": null,
  "dns": null,
  "endpoint": "text",
  "fwmark": 1,
  "id": 1,
  "keepalive_interval": 1,
  "location_mfa_mode": "disabled",
  "mtu": 1,
  "name": "text",
  "peer_disconnect_threshold": 1,
  "port": 1,
  "pubkey": "text",
  "service_location_mode": "disabled",
  "allowed_groups": [
    "text"
  ],
  "gateways": [
    {
      "address": "text",
      "certificate_expiry": null,
      "certificate_serial": null,
      "connected": true,
      "connected_at": null,
      "disconnected_at": null,
      "enabled": true,
      "id": 1,
      "location_id": 1,
      "location_name": "text",
      "modified_at": "2026-01-01T00:00:00.000Z",
      "modified_by": "text",
      "name": "text",
      "port": 1,
      "version": null
    }
  ],
  "has_devices": true,
  "posture_checks": [
    1
  ]
}

Last updated

Was this helpful?